<?php
$livello="../";
$elenco_auth = array('super_registri');
include($livello."includes/auth.php");
?>

<?php 
    $_SESSION['section']="Incarichi e registri";
    include($livello."struct/open.php");
    include($livello."includes/function.php");
    include($livello."includes/formdata.php");
    include($livello."includes/jalfa_pass.php");
    include($livello."includes/ini.php");  
?>
<?php 
    include ($livello.'struct/menu_main.php');
?>

<h1><?php echo $_SESSION["section"];?></h1>
<div class="row">
<div class="col-12">  
  
<?php
    $utente=$_SESSION['utente'];
?>
<?php 
    if (isset($_GET["as"])){$as = $_GET["as"];} 
    else{
        $as = date('Y');
        if (date('M')>'08') $as+=1;
        $as-=1;
        }
    $anno = strval($as-1).'/'.strval($as);
?>
<form name="form1" action="archivio_registri.php" method="get" style="padding-bottom:1em">
<select name="as">
<?php 
    $y = date('Y');
    if (date('M')>'08') $y+=1;
    for($i=$y-1;$i>2014;$i--)
    {
    	echo '<option value="'.$i.'">'.($i-1).'/'.$i.'</option>';	
    }
?>
</select>
<button type="submit">Cerca</button>
</form>
<h3>Archivio incarichi <?php echo " A.S. ".$anno;?></h3>

<?php
    $sqlf="SELECT def_registri.tipologiaregistri as tipologiaregistri,registri.*, utenti.nome as nome,utenti.cognome as cognome FROM def_registri,registri,utenti WHERE anno_scolastico='$anno' AND registri.id_def_registri=def_registri.id_def_registri AND registri.redattore=utenti.utente"; 
    //echo $sqlf;
    $risf= mysqli_query($conn,$sqlf);
    $numf=mysqli_num_rows($risf);
    if($numf==0){
        echo '<p>Non ci sono incarichi in archivio per l\'anno scolastico selezionato</p>';
    }
    else{
        echo '<div class="table-responsive">
	<table class="table table-hover table-bordered table-striped">
	<thead>
		<tr><th>Tipologia</th><th>Incaricato</th><th>Forfait</th><th>Compenso forfettario</th><th>Ore</th><th>Incarico</th></tr>
	</thead>
	<tbody>';
    while ($recf=mysqli_fetch_array($risf)) {
        $idp=trim($recf["id_registri"]);
        $tipologia = $recf["tipologiaregistri"];
        $redattore=$recf["nome"].' '.$recf["cognome"];
		$forfait=$recf["forfait"];
		$compenso = $recf["compenso"];
        $numore=trim($recf["numore"]);
        $incarico=$recf["incarico"];
        $doc_incarico=trim($recf["doc_incarico"]);
        echo '<tr><td>'.$tipologia.'</td><td>'.$redattore.'</td><td>';
		if ($forfait=='1'){echo 'S&igrave;';} else {echo 'No';} 
		echo '</td>	<td>';
		if ($forfait=='1'){
			echo '&euro; '.number_format($compenso,2,',','.');
		}
		echo '</td><td>';
		if ($forfait=='0')echo $numore;
		echo '</td><td style="text-align: center">';
            if ($incarico==1) {echo '<a href="'.$uploaddir.'registri/'.$doc_incarico.$idp.'.pdf" title="Incarico" target="_blank"><img src="../img/pdf_32.png"></a>';};
            echo'</td>';
    }
    echo '</tr>
    </tbody>
    </table>
    </div>';
    }
?>
</div>
</div>
<?php include($livello."struct/close.php"); ?>