<?php
$livello="../";
$elenco_auth = array('auth_schoolcom');
include($livello."includes/auth.php");
?>

<?php 
    $_SESSION['section']="Incarichi e registri";
    include($livello."struct/open.php");
    include($livello."includes/function.php");
    include($livello."includes/formdata.php");
    include($livello."includes/jalfa_pass.php");
    include($livello."includes/ini.php");  
?>
<?php 
    include ($livello.'struct/menu_main.php');
?>

<h1><?php echo $_SESSION["section"];?></h1>
<div class="row">
<div class="col-12">  

<?php 
    $today = date('Y-m-d');
    $utente = $_SESSION["utente"];
    $anno_attuale=AnnoScolasticoL();
    // registri da compilare
    $sql = "SELECT * FROM def_registri, registri WHERE  anno_scolastico = '$anno_attuale' AND def_registri.id_def_registri=registri.id_def_registri AND registri.redattore='$utente' AND stato_registro!='chiuso'";
    $ris= mysqli_query($conn,$sql) or die('Impossibile accedere al database');
    $numver2compile = mysqli_num_rows($ris);
    if ($numver2compile >0){
    echo '
    	<h3>Registri da compilare o in compilazione</h3>
        <div class="table-responsive">    
    		<table class="table table-hover table-bordered table-striped">
                <thead>
                    <tr>
                        <th>Tipologia</th>
						<th>Incarico forfettario</th>
						<th>Compenso forfettario</th>
                    	<th>Ore previste</th>
                    	<th>Scadenza</th>
                    	<th>Stato</th>
                    	<th>Incarico</th>
                        <th>Compila</th>
                    </tr>
                </thead>
                <tbody>';
    while ($riga=mysqli_fetch_array($ris)) {
        $tipologia = $riga["tipologiaregistri"];
        $scadenza = formdatarid($riga["scadenza_compilazione"]);
        $id_registri =$riga["id_registri"];
        $stato = $riga["stato_registro"];
        $anno_scolastico = $riga["anno_scolastico"];
		$forfait = $riga["forfait"];
		$compenso = $riga["compenso"];
        $numore=$riga["numore"];
        $incarico = $riga["incarico"];
        $nome_pdf = $riga["doc_incarico"].$id_registri.'.pdf';
        echo '<tr>
        <td>'.$tipologia.'</td>
		<td>';
		if ($forfait=='1'){echo 'S&igrave;';} else {echo 'No';};
		echo '</td><td style="text-align:center">';
		if ($forfait=='1'){
			echo number_format($compenso,2,',','.').' &euro;';
		}
		echo '</td><td style="text-align:center">';
		if ($forfait=='0')echo $numore;
		echo '</td>
        <td>'.$scadenza.'</td>
    		<td>'.$stato.'</td><td style="text-align:center">';
    if ($incarico ==1) {echo '<a href="'.$uploaddir.'registri/'.$nome_pdf.'" title="leggi l\'incarico" target="_blank"><img src="../img/pdf_32.png"></a>';}
    else echo '&nbsp;';
    echo '</td><td style="text-align:center">';
    if ($scadenza >= '$today') {
        echo '<a href="redazione_registri.php?id='.$id_registri.'" ';
        if ($stato == 'vuoto') {$txt = 'inizia';} else $txt ='continua';
        echo 'title="'.$txt.' la compilazione"><img src="../img/pianoprog.png"></a>';
    }
    echo '</td>
      </tr>';
    }
    echo '</tbody></table></div>';}
    else echo '<h3>Nessun nuovo incarico</h3>';
    //fine registri da compilare
    // registri compilati
    $sql = "SELECT def_registri.*,registri.* FROM registri,def_registri WHERE def_registri.id_def_registri=registri.id_def_registri AND anno_scolastico = '$anno_attuale'  AND redattore='$utente' AND stato_registro='chiuso' ORDER BY scadenza_compilazione DESC";
    $ris= mysqli_query($conn,$sql) or die('Impossibile accedere al database');
    $numver2compile = mysqli_num_rows($ris);
    if ($numver2compile > 0){
        echo '
    		<h3>Registri completati</h3>
    		<div class="table-responsive">    
    		<table class="table table-hover table-bordered table-striped">
                <thead>
                  <tr>
                    <th>Tipologia</th>
                    <th>Scadenza</th>
                    <th>Stato</th>
                	<th>Incarico</th>
                	<th>Registro</th>
                  </tr>
                </thead>
                <tbody>';
    while ($riga=mysqli_fetch_array($ris)) {
    	$tipologia = $riga["tipologiaregistri"];
    	$scadenza = formdatarid($riga["scadenza_compilazione"]);
    	$id_registri =$riga["id_registri"];
    	$anno_scolastico = $riga["anno_scolastico"];
    	$stato = $riga["stato_registro"];
    	$registro_pdf = $riga["pdf"].$id_registri.'.pdf';
    	$incarico_pdf = $riga["doc_incarico"].$id_registri.'.pdf';
    	$incarico = $riga["incarico"];
    	echo '<tr>
        <td>'.$tipologia.'</td>
        <td>'.$scadenza.'</td>
        <td>'.$stato.'</td><td style="text-align:center">';
    	
    	if($incarico == 1) {echo '<a href="'.$uploaddir.'registri/'.$incarico_pdf.'" title="leggi l\'incarico" target="_blank"><img src="../img/pdf_32.png">';} else echo '&nbsp;';
    	echo '</td>
    	<td style="text-align:center"><a href="'.$uploaddir.'registri/'.$registro_pdf.'" title="leggi il registro" target="_blank"><img src="../img/pdf_32.png"></a></td>';
      echo '</tr>';
    }
    echo '</tbody></table></div>';}
    else echo '<h3>Nessun registro completato</h3>';
    // fine registri compilati
?>  
</div>
</div>
<?php include($livello."struct/close.php"); ?>
