<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');
mysqli_query($conn,"set names 'utf8'");

function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}
//___________________________________
function formdatarid ($vardata)
{
	$annodata=substr($vardata,2,2);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	return($giornodata.'/'.$mesenum.'/'.$annodata);
}
//___________________________________

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}
//___________________________________

$id=$_GET['id'];
$sql="SELECT * FROM segnalazioni WHERE id= '$id'";
$ris=mysqli_query($conn,$sql);
$row=mysqli_num_rows($ris);
$rec=mysqli_fetch_array($ris);
$data_segnalazione=trim($rec["data_segnalazione"]);
$testo=trim($rec["testo"]);
$testo = str_replace("’", "'", $testo);
$testo = str_replace("”", '"', $testo);
$testo = str_replace("“", '"', $testo);
$testo = str_replace("\xe2\x80\xa8", '\\u2028', $testo);
$paragrafi = explode('\u2028', $testo);
$oggetto=trim($rec["oggetto"]);
$utente=trim($rec["utente"]);
$sqlut="SELECT * FROM utenti WHERE utente='$utente'";
$risut=mysqli_query($conn,$sqlut);
$recut = mysqli_fetch_array($risut);
$ruolo=trim($recut["ruolo"]);
$utente = ucwords(str_replace('.', ' ', $utente));
$per_ds = $rec["per_ds"];
$per_dsga = $rec["per_dsga"];
$rispostads=trim($rec["rispostads"]);
$rispostadsga=trim($rec["rispostadsga"]);
$data_rispostads=trim($rec["data_rispostads"]);
$data_rispostadsga=trim($rec["data_rispostadsga"]);
$data_segnalazione=trim($rec["data_segnalazione"]); 

$pdf=new PDF('P','mm','A4');
// metadati

$pdf->AliasNbPages();
$pdf->AddPage();

 // Logo
$sqlb="SELECT * FROM generalinfo";

$risb=mysqli_query($conn,$sqlb);
$rowb=mysqli_num_rows($risb);
$recb=mysqli_fetch_array($risb);
$nome_scuola=trim($recb["nome_scuola"]);
$intestazione=trim($recb["intestazione"]);
$imgintestazione1=trim($recb["imgintestazione1"]);
$imgintestazione2=trim($recb["imgintestazione2"]);
$imgintestazione3=trim($recb["imgintestazione3"]);
$risc=mysqli_query($conn,$sqlb);
$city=trim($recb["city"]);
$nome_ds=trim($recb["nome_ds"]);

if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") 
{$pdf->Image($imgintestazione1,95,15,20,20);
$pdf->SetXY(10,40);
$pdf->WriteHTMLinte($intestazione);}

if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
{ $pdf->Image($imgintestazione1,15,15,20,20);
  $pdf->Image($imgintestazione2,170,15,20,20);
  $pdf->SetXY(10,15);
  $pdf->WriteHTMLinte($intestazione);
  //$pdf->MultiCell(100, 20, $intestazione);
 
 } 
 if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
{ $pdf->Image($imgintestazione1,15,15,20,20);
  $pdf->Image($imgintestazione2,95,15,20,20);
  $pdf->Image($imgintestazione3,170,15,20,20);
  $pdf->SetXY(10,40);
  $pdf->WriteHTMLinte($intestazione);
 } 
$pdf->Ln(10);
$pdf->SetFont('Arial','',12);
if($per_ds==1) {$dest = "Al Dirigente Scolastico";
$dest = utf8_decode($dest);
$pdf->Cell(0,10,$dest,0,1,'R');
};
if($per_dsga==1) {$dest = "Al Direttore Amministrativo";
$dest = utf8_decode($dest);
$pdf->Cell(0,10,$dest,0,1,'R');
};
$pdf->SetFont('Arial','B',14);
$tit="Segnalazione";
$tit = utf8_decode($tit);
$pdf->Cell(0,10,$tit,0,1,'C');

$pdf->SetFont('Arial','B',12);
$height = 4;
$txt = "Oggetto: ".$oggetto;
$txt = utf8_decode($txt);
$pdf->MultiCell(190,$height,$txt,0,'L',0);
$pdf->ln(2);

$pdf->SetFont('Arial','',10);
$height = 6;
$txt = "Il/la sottoscritto/a ".$utente." in qualità di ".$ruolo." intende segnalare quanto segue: ";
$txt = utf8_decode($txt);
$pdf->MultiCell(190,$height,$txt,0,'L',0);
$pdf->ln(2);
for($i=0;$i<sizeof($paragrafi);$i++){
    $txt = utf8_decode($paragrafi[$i]);
    $pdf->MultiCell(190,$height,$txt,0,'L',0);
    $pdf->ln(1);
};


$pdf->ln(3);
$w=277;
$h=8;
$sqlc="SELECT * FROM generalinfo";
$risc=mysqli_query($conn,$sqlc);
$recc = mysqli_fetch_array($risc);
$city=trim($recc["city"]);

$txt=$city.", ".formdata($data_segnalazione);
$pdf->SetFont('Arial','',10);
$txt = utf8_decode($txt);

$pdf->Cell($w,$h,$txt,0,1,'L');

$pdf->SetFont('Arial','',12);
$pdf->Cell(180,$h,$utente,0,1,'R');
$pdf->SetFont('Arial','I',7);
$pdf->SetX(-80);
$pdf->SetFont('Arial','I',7);
$height=4;
$pdf->MultiCell(60,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);

$pdf->Output();
?>