<?php
ob_end_clean();
include ("../includes/common.php");
include("../includes/write.php");
include ("../includes/ini.php");
define('FPDF_FONTPATH','../includes/fpdf/font/');
require('../includes/fpdf/html2pdf2.php');
mysqli_query($conn,"set names 'utf8'");
include "ini_esami.php";


function formdata ($vardata)
{
	$annodata=substr($vardata,0,4);
	$mesenum=substr($vardata,5,2);
	$giornodata=substr($vardata,8,2);
	$primacifra=substr($giornodata,0,1);
	if ($primacifra=='0'){$giornodata=substr($giornodata,1,1);};
	$primaciframese=substr($mesenum,0,1);
	if ($primaciframese=='0'){$mesenum=substr($mesenum,1,1);};
	$mese=array(1=>'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno','Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre');
	return($giornodata.' '.$mese[$mesenum].' '.$annodata);
}

function ch_date_format1($vardata)//prende una stringa nel formato yyyy-mm-dd  e la trasforma in gg/mm/yyyy
{
	if ($vardata == '0000-00-00') {return '00/00/0000';}
	else
	{
		$data = str_replace('-', '/', $vardata);
		$data = date('d/m/Y', strtotime($data));
		return($data);
	}
}


// Logo
$sqlb="SELECT * FROM generalinfo";
$risb=mysqli_query($conn,$sqlb);
$rowb=mysqli_num_rows($risb);
$recb=mysqli_fetch_array($risb);
$nome_scuola=trim($recb["nome_scuola"]);
$intestazione=trim($recb["intestazione"]);
$city=trim($recb["city"]);
$imgintestazione1="../img/logo_rep.jpg";
//___________________________________
$pdf=new PDF('P','mm','A4');
// metadati
    $pdf->AliasNbPages();
    $target= $_GET["target"];//id della scheda
    $anno_scolastico = $_GET["anno_scolastico"];
//recupero dati esame*****************************
$sql0 = "SELECT nome,cognome,target,id_esami_stato,anno_scolastico FROM esami_stato WHERE target='$target' AND anno_scolastico='$anno_scolastico' ORDER BY cognome,nome";
$ris0 = mysqli_query($conn,$sql0) or die(mysqli_error($conn));
while ($rec0 =  mysqli_fetch_array($ris0)){
    $id= $rec0["id_esami_stato"];
    $cognome = $rec0["cognome"];
    $nome = $rec0["nome"];
    $target = $rec0["target"];
    $anno_scolastico = $rec0["anno_scolastico"];
    $sql = "SELECT * FROM consiglio_orientativo WHERE id_esami_stato='$id' AND stato='1'";
    $ris = mysqli_query($conn,$sql) or die(mysqli_error($conn));
    if (mysqli_num_rows($ris)>0){
        $rec = mysqli_fetch_array($ris);
        $metodo = $rec["metodo"];
        $interesse = $rec["interesse"];
        $attitudine1 = stripslashes($rec["attitudine1"]);
        $attitudine2 = stripslashes($rec["attitudine2"]);
        $attitudine3 = stripslashes($rec["attitudine3"]);
        $percorso = $rec["percorso"];
        $indirizzo = $rec["indirizzo"];
    }
    $pdf->AddPage();
    
    $pdf->Image($imgintestazione1,95,15,20,20);
    $pdf->SetXY(10,40);
    $pdf->WriteHTMLinte($intestazione);
        // Arial bold 15
        $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    //$pdf->ln(15);
    
    $pdf->SetFont('Arial','B',12);
    $pdf->Ln(10);
    $tit="Anno Scolastico ".$anno_scolastico.'                                                                       Classe '.$target;;
    $pdf->Cell(0,10,$tit,0,1,'L');
    $pdf->SetFont('Arial','B',14);
    $tit = "CONSIGLIO ORIENTATIVO";
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','B',12);
    $tit = "Alunno/a ".utf8_decode(ucwords(strtolower($cognome))).' '.utf8_decode(ucwords(strtolower($nome)));
    $pdf->Cell(190,10,$tit,0,1,'C');
    $pdf->SetFont('Arial','',12);
    $tit = utf8_decode("In relazione a quanto proposto nelle varie discipline nel corso del triennio, l'alunno/a ha dimostrato:");
    $pdf->Cell(190,10,$tit,0,1,'L');
    $txt = "1. Metodo di lavoro: ".iconv('UTF-8', 'windows-1252', $metodo);
    $pdf->Cell(190,10,$txt,0,1,'L');
    $txt = utf8_decode("2. Interesse e impegno nelle attività scolastiche: ").iconv('UTF-8', 'windows-1252', $interesse);
    $pdf->Cell(190,10,$txt,0,1,'L');
    $txt = utf8_decode("3. Attitudini rilevate: ").iconv('UTF-8', 'windows-1252', $attitudine1);
    if($attitudine2!="") $txt.=', '.iconv('UTF-8', 'windows-1252', $attitudine2);
    if($attitudine3!="") $txt.=', '.iconv('UTF-8', 'windows-1252', $attitudine3);
    $pdf->Cell(190,10,$txt,0,1,'L');
    $pdf->SetFont('Arial','B',12);
    $pdf->Ln(10);
    $txt = utf8_decode("SI CONSIGLIA LA FREQUENZA DI UN ISTITUTO DI ISTRUZIONE SUPERIORE:");
    $pdf->Cell(190,10,$txt,0,1,'C');
    $txt = $percorso.' - '.$indirizzo;
    $txt = iconv('UTF-8', 'windows-1252', $txt);
    $pdf->SetFont('Arial','B',12);
    $pdf->Cell(190,10,$txt,0,1,'C');
    $pdf->Ln(10);
    $data = date("Y-m-d");
    $tit = ucwords(strtoupper($city)).", ".ch_date_format1($data);
    $pdf->SetFont('Arial','',12);
    $pdf->Cell(190,10,$tit,0,1,'L');
    $posX = $pdf->GetX();
    $posY = $pdf->GetY();
    $tit = "IL COORDINATORE DEL CONSIGLIO DI CLASSE \n \n ________________________________";
    $pdf->SetX(120);
    $pdf->MultiCell(80,6,$tit,0,'C',0);
    $posY = $pdf->GetY();
    $decorazione = "../img/scissor.jpg";
    $pdf->Image($decorazione,10,$posY+10,180,7);
    $txt="Il sottoscritto genitore dell'alunno\a ".$cognome.' '.$nome.' della classe '.$target. ' '.$nome_scuola.' dichiara di aver ricevuto e preso visione del Consiglio Orientativo formulato dal consiglio di Classe.';
    $txt = iconv('UTF-8', 'windows-1252', $txt);
    $pdf->SetY($posY+20);
    $pdf->MultiCell(180, 5, $txt);
    $txt = "Data:___________________";
    $pdf->Cell(90,10,$txt,0,1,'L');
    $tit = "Firma  \n ________________________________";
    $pdf->SetX(120);
    $pdf->MultiCell(80,6,$tit,0,'C',0);
    //fine  pagina
}
    $pdf->Output();
?>