<?php
$livello="../";
$elenco_auth = array('auth_schoolcom');
include($livello."includes/auth.php");
?>

<?php 
$_SESSION['section']="Area progetti";
include($livello."struct/open.php");
include($livello."includes/function.php");
include($livello."includes/formdata.php");
include($livello."includes/jalfa_pass.php");
include($livello."includes/ini.php");
?>
<?php 
    include ($livello.'struct/menu_main.php');
?>
<h1><?php echo $_SESSION["section"];?></h1>
<div class="row">
<div class="col-12"> 
                 
<h3>Note per i progettisti</h3>
<h5>Spese imputabili al FIS</h5>
<p>
Si ricorda che sono imputabili al FIS solo attivit&agrave; realizzate dal personale interno. Non si possono quindi riferire al FIS materiali o compensi per personale esterno.</p>
<h5>Obiettivi misurabili</h5>
<p> Per obiettivi misurabili, si intendono gli obiettivi il cui raggiungimento o meno deve essere un fatto oggettivo, e non una valutazione soggettiva.</p>
<p>Pertanto la descrizione di un obiettivo misurabile deve soddisfare la seguente struttura</p>
<ol>
<li>Un indicatore numerico chiaro</li>
<li>Gli strumenti che si intendono utilizzare per misurare il livello raggiunto per l&#39;indicatore</li>
<li>Il livello (numerico) atteso</li>
</ol>
<h5>Qualche esempio di descrizione di obiettivi misurabili</h5>
<ul>
<li>Indicatore: numerosit&agrave; delle adesioni di classi e/o alunni. Strumenti: registri delle iscrizioni degli alunni o delle classi. Livello atteso: x classi o y alunni</li>
<li>Indicatore: percentuale di alunni che portano a termine il percorso. Strumenti: registri delle iscrizioni e registri delle presenze o fogli firma. Livello atteso: x% degli alunni iscritti che concludono positivamente il percorso</li>
<li>Indicatore: numero di certificazioni esterne conseguite dagli alunni. Strumenti: esiti degli esami per le certificazioni. Livello atteso: x certificazioni conseguite oppure percentuale y degli alunni che conseguono la certificazione</li>
<li>Indicatore: livello di gradimento delle famiglie. Strumenti: questionari di gradimento generati dalla piattaforma schoolcom. Livello atteso: x/100</li>
<li>Indicatore: livello di gradimento degli alunni. Strumenti: questionari di gradimento somministrati dagli insegnanti, che prevedono una scala di n livelli. Livello atteso: media complessiva degli esiti del questionario: x/n</li>
<li>Indicatore: raggiungimento di una particolare competenza (da specificare). Strumenti: griglie di osservazione o test per valutare i livelli di competenza raggiunti. Livello atteso: percentuale degli alunni che raggiungono almeno un livello intermedio maggiore o uguale a x</li>
<li>Indicatore: incremento profitto in una specifica materia disciplinare. Strumenti: pagelle o valutazioni antecedenti e successive allo svolgimento del progetto. Livello atteso: incremento della media del profitto per gli alunni partecipanti maggiore o uguale a x, oppure: diminuzione della percentuale di alunni insufficienti nella disciplina maggiore o uguale a y</li>
</ul>
<p>Il responsabile del progetto potr&agrave; scegliere alcuni tra questi esempi, o indicare altri obiettivi misurabili, purch&eacute; rispettino questa struttura descrittiva</p>
</div>
</div>
<?php include($livello."struct/close.php"); ?>


