<?php
    ob_end_clean();
    include ("../includes/common.php");
    include("../includes/write.php");
    include ("../includes/ini.php");
    define('FPDF_FONTPATH','../includes/fpdf/font/');
    require('../includes/fpdf/html2pdf2.php');
    mysqli_query($conn,"set names 'utf8'");
    
    session_start();
    
    $id=$_GET['id'];
    
    $sql="SELECT * FROM progetti WHERE id='".$id."'";
    
    $ris=mysqli_query($conn,$sql) or die(mysqli_error($conn));
    $row=mysqli_num_rows($ris);
    $rec=mysqli_fetch_array($ris);
    $rec = str_replace("’", "'", $rec);
    
    $anno_scolastico=trim($rec["anno_scolastico"]);
    $tipologia=trim($rec["tipologiaprogetto"]);
    $titolo=trim($rec["titolo"]);
      
    $referente=trim($rec["referente"]);
    $destinatari=trim($rec["destinatari"]);
    
    $obiettivi=trim($rec["obiettivi"]);
    $finalita=trim($rec["finalita"]);
    $metodologia=trim($rec["metodologia"]);
    $descrizione=trim($rec["descrizione"]);
    $spazi=trim($rec["spazi"]);
    $attrezzature=trim($rec["attrezzature"]);
    $strumenti=trim($rec["strumenti"]);
    $materiali=trim($rec["materiali"]);
    $tempi=trim($rec["tempi"]);
    
    $datapresentazione=trim($rec["datapresentazione"]);
    
    
    $pdf=new PDF('P','mm','A4');
    // metadati
    
    
    $pdf->AliasNbPages();
    $pdf->AddPage();
    
     // Logo
    $sqlb="SELECT * FROM generalinfo";
    
    $risb=mysqli_query($conn,$sqlb);
    $rowb=mysqli_num_rows($risb);
    $recb=mysqli_fetch_array($risb);
    $nome_scuola=trim($recb["nome_scuola"]);
    $intestazione=trim($recb["intestazione"]);
    $imgintestazione1=trim($recb["imgintestazione1"]);
    $imgintestazione2=trim($recb["imgintestazione2"]);
    $imgintestazione3=trim($recb["imgintestazione3"]);
    $city=trim($recb["city"]);
    $nome_ds=trim($recb["nome_ds"]);
       
    if ($imgintestazione1!="" && $imgintestazione2=="" && $imgintestazione3=="") $pdf->Image($imgintestazione1,95,5,15,15);
    if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3=="") 
    { $pdf->Image($imgintestazione1,30,5,15,15);
      $pdf->Image($imgintestazione2,170,5,15,15);
     
     } 
     if ($imgintestazione1!="" && $imgintestazione2!="" && $imgintestazione3!="") 
    { $pdf->Image($imgintestazione1,30,5,15,15);
      $pdf->Image($imgintestazione2,95,5,15,15);
      $pdf->Image($imgintestazione3,170,5,15,15);
     
     } 
        
        // Arial bold 15
        $pdf->SetFont('Arial','',9);
    $w=277;
    $h=8;
    $pdf->ln(15);
    
    $pdf->WriteHTMLinte($intestazione);
        
    $pdf->SetFont('Times','B',16);
    $pdf->Ln(10);
    $tit="PIANO DELL'OFFERTA FORMATIVA - A.S. ".$anno_scolastico;
    $pdf->Cell(0,10,$tit,0,1,'C');
    
    $pdf->Cell(0,10,'MODULO DI PRESENTAZIONE PROGETTO',0,1,'C');
    
    $pdf->SetFont('Times','B',12);
    $tipo="Tipologia di progetto: ";
    $pdf->Cell(40,10,$tipo,0,0,'L');
    $pdf->SetFont('Times','',12);
    $pdf->Cell(0,10,$tipologia,0,1,'L');
    
    $w=277;
    $h=8;
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,$h,'Denominazione progetto',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $txt="Titolo del progetto:  ";
    $pdf->Cell(38,$h,$txt,0,0,'L');
    $pdf->SetFont('Times','',12);
    $titolo=WriteH($titolo);
    
    $pdf->Write(8,$titolo);
    
    $pdf->Ln(8);
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,$h,'Responsabile del progetto - Soggetti coinvolti',0,1,'L');
    
    $pdf->SetFont('Times','B',12);
    $txt="Referente: ";
    $pdf->Cell(20,$h,$txt,0,0,'L');
    $pdf->SetFont('Times','',12);
    
    $sql2="SELECT * FROM utenti WHERE utente='".$referente."'";
    $ris2=mysqli_query($conn,$sql2) or die(mysqli_error($conn));
    $rec2 = mysqli_fetch_array($ris2);
    $nome=trim($rec2["nome"]);
    $cognome=trim($rec2["cognome"]);
    
    $pdf->Cell(0,8,$nome." ".$cognome,0,1,'L');
    
    
    $pdf->SetFont('Times','B',12);
    $txt="Destinatari: ";
    $pdf->Cell(25,$h,$txt,0,1,'L');
    $w=180;
    $pdf->SetFont('Times','',12);
    
    $pdf->WriteHT($w,$h,$destinatari);
    
    
    $pdf->Ln(10);
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,$h,'Obiettivi e percorso formativo',0,1,'L');
    $pdf->Cell($w,2,'',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $str="Finalità";
    $str = utf8_decode($str);
    $pdf->Cell($w,$h,$str,0,1,'L');
    $pdf->SetFont('Times','',12);
    $finalita = utf8_decode($finalita);
    
    $pdf->WriteHT($w,$h,$finalita);
    
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,6,'',0,1,'L');
    $pdf->Cell($w,$h,'Obiettivi misurabili (da utilizzarsi per la verifica dei risultati ottenuti dal progetto):',0,1,'L');
    $pdf->SetFont('Times','',12);
    //$obiettivi=WriteH($obiettivi);
    $obiettivi = utf8_decode($obiettivi);
    
    $pdf->WriteHT($w,$h,$obiettivi);
    
    //$pdf->WriteHTML($obiettivi);
    
    $pdf->Cell($w,6,'',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,$h,'Metodologie utilizzate',0,1,'L');
    $pdf->SetFont('Times','',12);
    //$metodologia=WriteH($metodologia);
    $metodologia = utf8_decode($metodologia);
        
    $pdf->WriteHT($w,$h,$metodologia);
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,6,'',0,1,'L');
    $str="Descrizione delle attività";
    $str = utf8_decode($str);
    $pdf->Cell($w,$h,$str,0,1,'L');
    $pdf->Cell($w,2,'',0,1,'L');
    $pdf->SetFont('Times','',12);
    $descrizione = utf8_decode($descrizione);
    
    $pdf->WriteHT($w,$h,$descrizione);
    $pdf->Ln(8);
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,$h,'Durata',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,2,'',0,1,'L');
    $pdf->Cell($w,$h,'Tempi: ',0,1,'L');
    $pdf->SetFont('Times','',12);
    //$pdf->WriteHTML($tempi);
    $tempi=utf8_decode($tempi);
    $pdf->WriteHT($w,$h,$tempi);
    //$pdf->WriteHTML($descrizione);
    $pdf->Ln(8);
    
    //$pdf->Cell($w,8,'',0,1,'L');
    
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,$h,'Risorse umane',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,$h,'Risorse umane interne',0,1,'L');
    $pdf->SetFont('Times','',12);
    
    $sql="SELECT * FROM risorseumaneprogetti WHERE ruolo<>'esterno' AND idprogetto='".$id."'";
    $ris=mysqli_query($conn,$sql) or die(mysqli_error($conn));
    $num=mysqli_num_rows($ris);
    if ($num>0) {
        $h=8;
        $bck=0;
        $w=37.5;
        $pdf->RowTable($w,$h,'Nome - ruolo',$bck,'m');
        $w=20.;
        $pdf->RowTable($w,$h,'Num. ore',$bck,'c');
        $w=60.;
        $pdf->RowTable($w,$h,'Tipologia ore',$bck,'m');
        $w=25.;
        $pdf->RowTable($w, $h, 'A carico di', $bck, 'm');
        $w=25.;
        $pdf->RowTable($w,$h,'Importo ore',$bck,'c');
        $bck=1;
        $w=25.;
        $pdf->RowTable($w,$h,'Importo totale',$bck,'c');
        $totale=0;
        $yshift=0;
        for($i=0; $i<$num; $i++){
            $rec=mysqli_fetch_array($ris);
            if ($pdf->GetY()>=250) $pdf->AddPage();
            $nome=trim($rec["nome"]);
            $ruolo=trim($rec["ruolo"]);
            $numore=trim($rec["numore"]);
            $costoorario=trim($rec["costoorario"]);
            $attivita=trim($rec["attivita"]);
            $finanziamenti=trim($rec["finanziamenti"]);
            $sqlnc="SELECT * FROM utenti WHERE utente='".$nome."'";
            $risnc= mysqli_query($conn,$sqlnc) or die(mysqli_error($conn)); 
            $recnc = mysqli_fetch_array($risnc);
            if (mysqli_num_rows($risnc)>0){
            $nomenc=trim($recnc["nome"]);
            $cognomenc=trim($recnc["cognome"]);
    
            $tot=$costoorario*$numore;
            $totale=$totale+$tot;
            $txt=$nomenc." ".$cognomenc." (".$ruolo.")";
            
            
            $h1=8*strlen($att)/69;
            $h2=8*strlen($txt)/12;
            $h3=8*strlen($finanziamenti)/12;
            if ($h1>=$h2) $h=$h1;
            if ($h1<$h2) $h=$h2;
            if ($h<$h3) $h=$h3;
            if ($h<8) $h=8;
    
            $bck=0;
            $w=37.5;
            $pdf->RowTable($w,$h,$txt,$bck,'m');
            $w=20.;
            $pdf->RowTable($w,$h,$numore,$bck,'c');
            $w=60.;
            //$att=WriteH($attivita);
            $att = utf8_decode($att);
            
            $pdf->RowTable($w,$h,$attivita,$bck,'m');
            $w=25.;
            $pdf->RowTable($w, $h, $finanziamenti, $bck, 'm');
            $w=25.;
            $c4=number_format($costoorario,2)." ";
            $c4=WriteH($c4);
            $c4 = utf8_decode($c4);
            
            $pdf->RowTable($w,$h,$c4,$bck,'c');
            $bck=1;
            $w=25.;
            $c4b=number_format($tot,2)." ";
            
            $c4b=WriteH($c4b);
            $c4b = utf8_decode($c4b);
            
            
            $pdf->RowTable($w,$h,$c4b,$bck,'c');
            
            
            
             }
            }
    
    
            }
            if ($num==0) {
            $pdf->Cell($w,$h,'Nessuna risorsa interna',0,1,'L');
            
            }
            //$pdf->ln(4);
            $w=277;
            $h=8;
            $pdf->Cell($w,8,'',0,1,'L');
            $pdf->SetFont('Times','B',12);
            $pdf->Cell($w,$h,'Risorse umane esterne',0,1,'L');
            $pdf->SetFont('Times','',12);
            
            $sql="SELECT * FROM risorseumaneprogetti WHERE ruolo='esterno' AND idprogetto='".$id."'";
    
            $ris=mysqli_query($conn,$sql) or die(mysqli_error($conn));
            $num=mysqli_num_rows($ris);
            if ($num>0) {
                $h=8;
                $bck=0;
                $w=37.5;
                $pdf->RowTable($w,$h,'Nome - ruolo',$bck,'m');
                $w=20.;
                $pdf->RowTable($w,$h,'Num. ore',$bck,'c');
                $w=60.;
                $pdf->RowTable($w,$h,'Descrizione',$bck,'m');
                $w=25.;
                $pdf->RowTable($w, $h, 'A carico di', $bck, 'm');
                $w=25.;
                $pdf->RowTable($w,$h,'Importo ore',$bck,'c');
                $bck=1;
                $w=25.;
                $pdf->RowTable($w,$h,'Importo totale',$bck,'c');
         
                $totale=0;
                for( $i=0; $i<$num; $i++){
                    $rec=mysqli_fetch_array($ris);
                    $nome=trim($rec["nome"]);
                    $numore=trim($rec["numore"]);
                    $costoorario=trim($rec["costoorario"]);
                    $attivita=trim($rec["attivita"]);
                    $finanziamenti=trim($rec["finanziamenti"]);
                    $tot=$costoorario*$numore;
                    $totale=$totale+$tot;
                  $h1=8*strlen($att)/69;
                $h2=8*strlen($nome)/12;
                $h3=8*strlen($finanziamenti)/12;
                if ($h<$h1) $h=$h1;
                if ($h1>=$h2) $h=$h1;
                if ($h1<$h2) $h=$h2;
                if ($h<$h3) $h=$h3;
                if ($h<8) $h=8;
                
                if ($pdf->GetY()>=250) $pdf->AddPage();
                
                
                $bck=0;
                $w=37.5;
                $pdf->RowTable($w,$h,$nome,$bck,'m');
                $w=20.;
                $pdf->RowTable($w,$h,$numore,$bck,'c');
                $w=60.;
                $pdf->RowTable($w,$h,$attivita,$bck,'m');
                $w=25.;
                $pdf->RowTable($w, $h, $finanziamenti, $bck, 'm');
                $w=25.;
                $c4=number_format($costoorario,2)." ";
                $c4=WriteH($c4);
                $c4 = utf8_decode($c4);
                
                $pdf->RowTable($w,$h,$c4,$bck,'c');
                $bck=1;
                $w=25.;
                $c4b=number_format($tot,2)." ";
                $c4b=WriteH($c4b);
                $c4b = utf8_decode($c4b);
                
                $pdf->RowTable($w,$h,$c4b,$bck,'c');
                
                
    }
    //$data[]=array('Totale','','','',$totale);
    
    
    
    }
    if ($num==0) {
    $pdf->Cell($w,$h,'Nessuna risorsa esterna',0,1,'L');
    
    }
    $h = 8; 
    $pdf->Cell($w,8,'',0,1,'L');
    
    $pdf->SetFont('Times','B',14);
    $pdf->Cell($w,$h,'Beni e servizi',0,1,'L');
    $pdf->Cell($w,2,'',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $str="Beni e servizi già in possesso della scuola";
    $str = utf8_decode($str);
    
    $pdf->Cell($w,$h,$str,0,1,'L');
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,2,'',0,1,'L');
    $pdf->Cell($w,$h,'Spazi: ',0,1,'L');
    $pdf->SetFont('Times','',12);
    $spazi=utf8_decode($spazi);
    $pdf->WriteHT(180,$h,$spazi);
    
    $pdf->Cell($w,2,'',0,1,'L');
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,$h,'Attrezzature: ',0,1,'L');
    $pdf->SetFont('Times','',12);
    $attrezzature=utf8_decode($attrezzature);
    $pdf->WriteHT(180,$h,$attrezzature);
    
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,2,'',0,1,'L');
    
    $pdf->Cell($w,$h,'Strumenti: ',0,1,'L');
    $pdf->SetFont('Times','',12);
    $strumenti = utf8_decode($strumenti);
    $pdf->WriteHT(180,$h,$strumenti);
    $pdf->Cell($w,2,'',0,1,'L');
    
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,$h,'Materiali: ',0,1,'L');
    $pdf->SetFont('Times','',12);
    $materiali=utf8_decode($materiali);
    $pdf->WriteHT(180,$h,$materiali);
    
    $pdf->Cell($w,6,'',0,1,'L');
    
    $pdf->SetFont('Times','B',12);
    $pdf->Cell($w,$h,'Beni e servizi da acquistare',0,1,'L');
    
    $pdf->SetFont('Times','',12);
    
    $sql="SELECT * FROM risorsebeniprogetti WHERE idprogetto='".$id."'";
    $ris=mysqli_query($conn,$sql) or die(mysqli_error($conn));
    $num=mysqli_num_rows($ris);
    if ($num>0) {
       $h=10;
        $bck=0;
        $w=75;
        $txt="Descrizione Risorse strumentali";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'m');
        $w=25;
        $txt="A carico di";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        
        $w=20.;
        $txt="Quantità";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=30.;
        $txt="Prezzo unitario";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        $w=30.;
        $txt="Costo Totale";
        $txt=WriteH($txt);
        $txt = utf8_decode($txt);
        $bck=1;
        $pdf->RowTable($w,$h,$txt,$bck,'c');
        
        for( $i=0; $i<$num; $i++){
            $rec=mysqli_fetch_array($ris);
            $quantita=trim($rec["quantita"]);
            $costounitario=trim($rec["costounitario"]);
            $descrizione=trim($rec["descrizione"]);
            $finanziamenti=trim($rec["finanziamenti"]);
            $tot=$costounitario*$quantita;
            $totale=$totale+$tot;
            $h=8;
            $bck=0;
            $w=75;
            $h=8*strlen($descrizione)/55;
            if ($h<8) $h=8;
            $h1=8*strlen($finanziamenti)/12;
            if ($h<$h1) $h=$h1;
            if ($pdf->GetY()>=250) $pdf->AddPage();
            $pdf->RowTable($w,$h,$descrizione,$bck,'m');
            $w=25;
            $pdf->RowTable($w, $h, $finanziamenti, $bck, 'm');
            $w=20.;
            $pdf->RowTable($w,$h,$quantita,$bck,'c');
            $w=30.;
            $pdf->RowTable($w,$h,$costounitario,$bck,'c');
            $w=30.;
            $bck=1;
            $pdf->RowTable($w,$h,$tot,$bck,'c');
    }
    
    } else if ($num==0) {
    $pdf->Cell($w,$h,'Niente da acquistare',0,1,'L');
    
    }
    
    $pdf->ln(3);
    
        
        $data = str_replace('-', '/', $datapresentazione);
        $data = date('d/m/Y', strtotime($data));
    
    $txt=$city.", ".$data;
    $pdf->Cell($w,$h,$txt,0,1,'L');
    $sql2="SELECT * FROM utenti WHERE utente='".$referente."'";
    $ris2=mysqli_query($conn,$sql2) or die(mysqli_error($conn));
    $rec2 = mysqli_fetch_array($ris2);
    $nome=trim($rec2["nome"]);
    $cognome=trim($rec2["cognome"]);
    
    $pdf->Cell(180,$h,ucwords($nome).' '.ucwords($cognome),0,1,'R');
    $pdf->SetX(-80);
    $pdf->SetFont('Arial','I',7);
    $height=4;
    $pdf->MultiCell(60,$height,'Firma autografa sostituita a mezzo stampa ai sensi dell\'art. 3, comma 2, del D.Lgs. 39/93',0,'R',0);
    
    $pdf->Output();
?>